import Jcg.geometry.Point_;

/**
 * Interface defining methods for computing point medians
 * 
 * @author Luca Castelli Aleardi (Ecole Polytechnique, INF562)
 * @version jan 2014
 */
public interface Median<X extends Point_> {

	/**
	 * Compute the median of a set of points
	 * 
	 * @param cutDim defines the cut direction, {0,1,2} => {x,y,z}
	 * @return the median point according to the given direction
	 */    
	public X findMedian(int cutDim);

}
